/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.iot

// imports
import {ITransaction} from './concerto';

// interfaces
export enum ClickType {
   SINGLE = 'SINGLE',
   DOUBLE = 'DOUBLE',
   LONG = 'LONG',
}

export interface IGenericButtonPress extends ITransaction {
   serialNumber?: string;
   batteryVoltage?: string;
}

export interface IButtonPress extends IGenericButtonPress {
   clickType?: ClickType;
}

export interface ISingleButtonPress extends IGenericButtonPress {
}

export interface IDoubleButtonPress extends IGenericButtonPress {
}

export interface ILongButtonPress extends IGenericButtonPress {
}

